Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%global srcname domelementtype

Name:           nodejs-%{srcname}
Version:        1.3.0
Release:        alt1_7
Summary:        All the types of nodes in htmlparser2's dom
License:        BSD
URL:            https://github.com/FB55/domelementtype
Source0:        http://registry.npmjs.org/%{srcname}/-/%{srcname}-%{version}.tgz

BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel
Source44: import.info


%description
%{summary}.


%prep
%setup -q -n package
rm -rf node_modules/


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{srcname}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{srcname}

%nodejs_symlink_deps


%files
%doc readme.md
%doc --no-dereference LICENSE
%{nodejs_sitelib}/%{srcname}


%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.0-alt1_7
- new version

